도메인
도메인 목록 조회
공개 API 주체에 표시되는 고객 도메인을 나열합니다.
GET
/
v1
/
public
/
accounts
/
{account_id}
/
domains
도메인 목록 조회
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"outbound_routing_ready": true,
"status": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auto_renew": false,
"created_at": "<string>",
"dedicated_ip_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inbound_tenant_external_id": "<string>",
"inbound_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inbound_tenant_name": "<string>",
"inbound_tenant_type": "<string>",
"redirect_mode": "301",
"redirect_url": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"updated_at": "<string>"
}
],
"page": 123,
"page_size": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}인증
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
경로 매개변수
응답
이 페이지의 도메인
Hide child attributes
Hide child attributes
도메인 UUID
도메인 이름
아웃바운드 라우팅 준비 여부
도메인 수명주기 상태
도메인이 포함된 Workspace UUID
도메인 자동 갱신 활성화 여부
도메인 생성 타임스탬프
할당된 전용 IP UUID(있는 경우)
인바운드 테넌트의 공급자 외부 ID
인바운드 테넌트 UUID(할당된 경우)
인바운드 테넌트 표시 이름(할당된 경우)
인바운드 테넌트 유형(할당된 경우)
구성된 리디렉션 모드(있는 경우)
사용 가능한 옵션:
301, 302, iframe 구성된 리디렉션 URL(있는 경우)
도메인 마지막 업데이트 타임스탬프
현재 1기반 페이지 번호
페이지당 최대 항목
총 일치 도메인
이 페이지가 도움이 되었나요?
⌘I
도메인 목록 조회
